﻿using AxisGroupingDemo.Data.Model;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace AxisGroupingDemoLib.Samples
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class CategoricalAxisGroupingDemo : Page
    {
        public CategoricalAxisGroupingDemo()
        {
            this.InitializeComponent();
            this.Loaded += (s, e) =>
            {
                flexChart.ItemsSource = Unit.Data();
            };
        }

        private void groupLevels_ValueChanged(object sender, C1.Xaml.PropertyChangedEventArgs<double> e)
        {
            if (flexChart != null && e.NewValue != e.OldValue)
            {
                if (chbFlatData.IsChecked == true)
                    GroupFlatData();
                else
                    GroupHierarchicalData();
            }
        }

        private void OnFlatDataCheckChanged(object sender, RoutedEventArgs e)
        {
            if (flexChart != null)
            {
                if (chbFlatData.IsChecked == false)
                    GroupHierarchicalData();
                else
                    GroupFlatData();
            }
        }

        private void GroupHierarchicalData()
        {
            switch (nbLevels.Value)
            {
                case 0:
                default:
                    flexChart.ItemsSource = HierarchicalUnit.SingleLevelData();
                    flexChart.AxisX.GroupNames = null;
                    flexChart.AxisX.GroupItemsPath = null;
                    break;
                case 1:
                    flexChart.ItemsSource = HierarchicalUnit.SingleLevelData();
                    flexChart.AxisX.GroupNames = "Country";
                    flexChart.AxisX.GroupItemsPath = "Items";
                    break;
                case 2:
                    flexChart.ItemsSource = HierarchicalUnit.Data();
                    flexChart.AxisX.GroupNames = "Continent,Country";
                    flexChart.AxisX.GroupItemsPath = "Items";
                    break;
            }
        }
        private void GroupFlatData()
        {
            flexChart.ItemsSource = Unit.Data();
            flexChart.AxisX.GroupItemsPath = null;
            switch (nbLevels.Value)
            {
                case 0:
                default:
                    flexChart.AxisX.GroupNames = null;
                    break;
                case 1:
                    flexChart.AxisX.GroupNames = "Country";
                    break;
                case 2:
                    flexChart.AxisX.GroupNames = "Continent,Country";
                    break;
            }
        }
    }
}
