﻿using C1.Chart;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace AxisGroupingDemoLib.Samples
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class NumericalAxisGroupingDemo : Page
    {
        public NumericalAxisGroupingDemo()
        {
            InitializeComponent();
            cbStates.ItemsSource = new AxisGroupingDemo.Data.DataService().AQIData;
            cbStates.SelectedIndex = 1;
        }

        private void C1NumericBox_ValueChanged(object sender, C1.Xaml.PropertyChangedEventArgs<double> e)
        {
            if (flexChart != null)
            {
                var groupProvider = flexChart.AxisY.GroupProvider as NumericGroupProvider;
                groupProvider.Levels = (int)nbLevels.Value;
                flexChart.Invalidate();
            }
        }
    }
    public class NumericGroupProvider : IAxisGroupProvider
    {
        public enum Pollutant
        {
            PM10,
            PM25
        }

        public int Levels { get; set; }

        public NumericGroupProvider()
        {
            Levels = 1;
        }

        public Pollutant PollutantType { get; set; }

        public int GetLevels(IRange range)
        {
            return Levels;
        }

        public IList<IRange> GetRanges(IRange range, int level)
        {
            var ranges = new List<IRange>();
            if (level == 1)
            {
                if (PollutantType == Pollutant.PM10)
                {
                    ranges.Add(new DoubleRange("Good", 0, 54));
                    ranges.Add(new DoubleRange("Moderate", 55, 154));
                    ranges.Add(new DoubleRange("Unhealthy", 155, 354));
                    ranges.Add(new DoubleRange("Very Unhealthy", 355, 424));
                    ranges.Add(new DoubleRange("Hazardous", 425, double.PositiveInfinity));
                }
                else
                {
                    ranges.Add(new DoubleRange("Good", 0, 12));
                    ranges.Add(new DoubleRange("Moderate", 12.1, 35.4));
                    ranges.Add(new DoubleRange("Unhealthy", 35.5, 150.4));
                    ranges.Add(new DoubleRange("Very Unhealthy", 150.5, 250.4));
                    ranges.Add(new DoubleRange("Hazardous", 250.5, double.PositiveInfinity));
                }
            }
            return ranges;
        }
    }
}
