﻿using AxisGroupingDemo.Data.Model;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace AxisGroupingDemoLib.Samples
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class SwitchAxisGroupsDemo : Page
    {
        public string[] Groups
        {
            get
            {
                return new string[] { "Country,Year", "Year,Country" };
            }
        }

        public SwitchAxisGroupsDemo()
        {
            this.InitializeComponent();
            this.Loaded += (s, e) => cbGroupBy.SelectedIndex = 0;
        }

        private void cbGroupBy_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            flexChart.AxisX.GroupNames = cbGroupBy.SelectedValue.ToString();
            flexChart.Invalidate();
        }
    }

    public class SwitchGroupsViewModel
    {
        public string[] Groups { get; set; }

        public List<DataItem> Data { get; set; }
        public SwitchGroupsViewModel()
        {
            Groups = new string[] { "Country,Year", "Year,Country" };
            Data = DataItem.GetData();
        }
    }
}
